Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.client
Class Property

    java.lang.Object
      gecco.client.Property

All Implemented Interfaces:
  Comparable

public class Property
extends Object
implements Comparable

This represents a property of a Piece. A property has a name and a value (both Strings).

Author:
  Andreas Enblom

Constructor Summary
`Property()` Constructor for the Property object
`Property(Property p)` Constructor for the Property object
`Property(String name, String value)` Constructor for the Property object

Method Summary
`int` | `compareTo(Object o)` Description of the Method
`String` | `getName()` Gets the Name attribute of the Property object
`String` | `getValue()` Gets the Value attribute of the Property object
`void` | `setName(String name)` Sets the Name attribute of the Property object
`void` | `setValue(String value)` Sets the Value attribute of the Property object
`String` | `toString()` Description of the Method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Property

    public Property()

  Constructor for the Property object

### Property

    public Property(String name,
                    String value)

  Constructor for the Property object

Parameters:
  `name` - Description of Parameter
  `value` - Description of Parameter

### Property

    public Property(Property p)

  Constructor for the Property object

Parameters:
  `p` - Description of Parameter

Method Detail

### setName

    public void setName(String name)

  Sets the Name attribute of the Property object

  Parameters:
    `name` - The new Name value

### setValue

    public void setValue(String value)

  Sets the Value attribute of the Property object

  Parameters:
    `value` - The new Value value

### getName

    public String getName()

  Gets the Name attribute of the Property object

  Returns:
    The Name value

### getValue

    public String getValue()

  Gets the Value attribute of the Property object

  Returns:
    The Value value

### compareTo

    public int compareTo(Object o)

  Description of the Method

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - Description of Parameter
  Returns:
    Description of the Returned Value

### toString

    public String toString()

  Description of the Method

  Returns:
    Description of the Returned Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD